%define	name	idnkit
%define version 1.0
%define release 2mdk
%define	major	1
%define libname	%mklibname %{name} %{major}

Summary:	Internationalized Domain Name kit (idnkit/JPNIC)
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.nic.ad.jp/ja/idn/idnkit/download/index.html
License:	BSD-like
Source0:	%{name}-%{version}-src.tar.bz2
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The 'idnkit' is an open source, BSD-like licensed software that
provides functionalities about Internationalized Domain Name
processing standardized at IETF. Major features that idnkit
provides are as follows.

 - libidnkit - Core library for IDN processing,
 - libidnkitlite - Light Weight library for IDN processing (UTF-8
   only),

%package -n	%{libname}
Summary:	Internationalized Domain Name kit (idnkit/JPNIC) library
Group:          System/Libraries
Provides:	%{name} = %{version}

%description -n	%{libname}
The 'idnkit' is an open source, BSD-like licensed software that
provides functionalities about Internationalized Domain Name
processing standardized at IETF. Major features that idnkit
provides are as follows.

 - libidnkit - Core library for IDN processing,
 - libidnkitlite - Light Weight library for IDN processing (UTF-8
   only),

%package -n	%{libname}-devel
Summary:	Header files for the %{libname} library
Group:		Development/C
Provides:	%{name}-devel
Provides:	lib%{name}-devel
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-devel
Development files for idnkit.

%package	tools
Summary:	Tools for the Internationalized Domain Name kit (idnkit/JPNIC) library
Group:          System/Servers
Provides:	%{name} = %{version}

%description	tools
The 'idnkit' is an open source, BSD-like licensed software that
provides functionalities about Internationalized Domain Name
processing standardized at IETF. Major features that idnkit
provides are as follows.

 - idnconv - DNS zone / configuration file encoding converter
 - runidn / idn wrapper - Dynamic link resolver library for UNIX /
   Windows

%prep
%setup -q -n %{name}-%{version}-src

%build
%configure2_5x \
	--enable-extra-ace \
	--enable-runidn

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

# clean up
rm -f %{buildroot}%{_sysconfdir}/*.sample

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig
%postun -n %{libname}-devel -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files tools
%defattr(0644,root,root,755)
%doc ChangeLog README NEWS
%doc %lang(ja) README.ja
%attr(0644,root,root) %config(noreplace) %verify(not size md5 mtime) %{_sysconfdir}/idn.conf
%attr(0644,root,root) %config(noreplace) %verify(not size md5 mtime) %{_sysconfdir}/idnalias.conf
%attr(0755,root,root) %{_bindir}/idnconv
%attr(0755,root,root) %{_bindir}/runidn
%attr(0755,root,root) %dir %{_datadir}/idnkit
%attr(0644,root,root) %{_datadir}/idnkit/*.map
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*

%files -n %{libname}
%defattr(0644,root,root,755)
%attr(0755,root,root) %{_libdir}/libidnkit*.so.%{major}
%attr(0755,root,root) %{_libdir}/libidnkit*.so.%{major}.*
# Yes, this is for dlopen()
%attr(0644,root,root) %{_libdir}/libidnkit*.la

%files -n %{libname}-devel
%defattr(0644,root,root,755)
%attr(0755,root,root) %{_libdir}/libidnkit*.so
%dir %{_includedir}/idn
%{_includedir}/idn
%{_mandir}/man3/*.3*
%{_libdir}/libidnkit*.a

%changelog
* Sat Nov 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-2mdk
- rpmbuildupdated

* Tue Oct 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0-1mdk
- initial cooker contrib
- used the package from PLD as a start point
